---
- name: "Docker | Ensure old versions of Docker are not installed"
  package:
    name:
      - docker
      - docker-engine
      - docker.io
      - containerd
      - runc
    state: absent

- name: "Docker | Ensure docker is installed"
  shell: |
    curl -sfL https://get.docker.com/ | sh -
  args:
    creates: /bin/docker
  notify: "Docker | Restart"

- name: "Docker | Ensure docker is running"
  service:
    name: docker
    state: started
